org.apache.commons.jelly.tags.junit

## Class CaseTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.junit.CaseTag

All Implemented Interfaces:
  Tag

    public class CaseTag
    extends TagSupport

Represents a single test case in a test suite; this tag is analagous to JUnit's TestCase class.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`CaseTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`String` `getName()`
`protected junit.framework.TestSuite` `getSuite()` Strategy method to find the corrent TestSuite to add a new Test case to
`void` `setName(String name)` Sets the name of this test case

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CaseTag

    public CaseTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getName

    public String getName()

Returns:
  the name of this test case

#### setName

    public void setName(String name)

Sets the name of this test case

#### getSuite

    protected junit.framework.TestSuite getSuite()

Strategy method to find the corrent TestSuite to add a new Test case to